curl --request POST \
--url https://cool.jobmojito.com/functions/v1/knowledge-base-store-save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strict": true
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/knowledge-base-store-save"
payload = {
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strict": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
knowledge_base_store_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
strict: true
})
};
fetch('https://cool.jobmojito.com/functions/v1/knowledge-base-store-save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cool.jobmojito.com/functions/v1/knowledge-base-store-save",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'merchant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'knowledge_base_store_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'strict' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cool.jobmojito.com/functions/v1/knowledge-base-store-save"
payload := strings.NewReader("{\n \"merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"knowledge_base_store_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"strict\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cool.jobmojito.com/functions/v1/knowledge-base-store-save")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"knowledge_base_store_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"strict\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cool.jobmojito.com/functions/v1/knowledge-base-store-save")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"knowledge_base_store_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"strict\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strict": true,
"document_count": 123,
"created": true
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Create or change a knowledge base store
Creates a knowledge base store, or renames one or changes whether the AI uses only its documents (strict). Documents are added with knowledge-base-document-upload. Changing strict changes how every interview on the store answers. Owners, recruiters and admins; nothing is sent to candidates.
curl --request POST \
--url https://cool.jobmojito.com/functions/v1/knowledge-base-store-save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strict": true
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/knowledge-base-store-save"
payload = {
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strict": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
knowledge_base_store_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
strict: true
})
};
fetch('https://cool.jobmojito.com/functions/v1/knowledge-base-store-save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cool.jobmojito.com/functions/v1/knowledge-base-store-save",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'merchant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'knowledge_base_store_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'strict' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cool.jobmojito.com/functions/v1/knowledge-base-store-save"
payload := strings.NewReader("{\n \"merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"knowledge_base_store_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"strict\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cool.jobmojito.com/functions/v1/knowledge-base-store-save")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"knowledge_base_store_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"strict\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cool.jobmojito.com/functions/v1/knowledge-base-store-save")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"merchant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"knowledge_base_store_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"strict\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strict": true,
"document_count": 123,
"created": true
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Authorizations
Supabase JWT — Authorization: Bearer <token>.
Body
Optional company to act on. Admins and sub-merchant operators only; other callers always use their token's company.
The store to change (from knowledge-base-store-list). Left out: a new store is created.
Name of the store, 1 to 200 characters. Required for a new store; left out on a change, it stays.
1 - 200true (the default for a new store): the AI uses only these documents. false: it uses them alongside its general knowledge. Left out on a change, it stays.
Response
The store after the call.
The store: knowledge_base_store_id of create_interview, upload_knowledge_base_document and list_knowledge_base_documents.
Name of the store.
true: the AI uses only these documents; false: it uses them alongside its general knowledge.
How many documents the store holds.
True when a new store was created.